/*
 * Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: aqrdq.h,v 1.12 2013/12/07 04:43:04 ca Exp $
 */

#ifndef AQ_RDQ_H
#define AQ_RDQ_H

#include "sm/generic.h"
#include "sm/actdb.h"
#include "sm/aqrdqstr.h"

typedef struct aq_rdq_rm_ctx_S aq_rdq_rm_ctx_T, *aq_rdq_rm_ctx_P;
struct aq_rdq_rm_ctx_S
{
	aq_ctx_P	aqrm_ctx;
};

sm_ret_T aq_rdq_new(aq_ctx_P _aq_ctx, uint _da_idx, sm_ipaddr_T _ip, aqrdq_ctx_P *_paqrdq_ctx);
sm_ret_T aq_rdq_free(aq_ctx_P _aq_ctx, aqrdq_ctx_P _aqrdq_ctx);
void aq_rdq_ht_free(void *_value, void *_key, void *_ctx);

#endif /* AQ_RDQ_H */
